#
# spec file for package syslogd (Version 1.3)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         syslogd
Release:      20
Copyright:    1983, 1988 Regents of the University of California, 1994 Dr. Greg Wettstein, Enjellic Systems Development
Group: 
Provides:     sysklogd 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      1.3
Summary:      Sysklogd
Source: sysklogd-1.3.tar.gz
Patch: sysklogd-1.3.dif
%description
The sysklogd package implements two system log daemons.  The
syslogd daemon is the general system logging daemon which
is responsible for handling requests for syslog services.
This version of syslogd is similar to the standard Berkeley
product but with a number of compatible extensions.  The
klogd daemon runs either standalone or as a client of syslogd.
Klogd 'listens' to kernel log messages, prioritizes them and
routes them to either output files or to syslogd.  This
version of klogd will optionally translate kernel addresses
to their symbolic equivalents if provided with a system map.

Authors:
--------
    Dr. Greg Wettstein <greg@wind.rmcc.com>
    Stephen Tweedie <sct@dcs.ed.ac.uk>
    Juha Virtanen <jiivee@hut.fi>
    Shane Alderton <shane@scs.apana.org.au>

%prep
%setup -n sysklogd-1.3
%patch
%build
make -f Makefile.Linux compile
%install
make -f Makefile.Linux install
Check
%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.syslogd
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.syslogd"
  echo "and update by hand."
fi
mkdir -p var/log
touch var/log/messages; chmod 640 var/log/messages
touch var/log/mail; chmod 640 var/log/mail
touch var/log/news; chmod 640 var/log/news
%files
%config /etc/syslog.conf
/var/adm/fillup-templates/rc.config.syslogd
/sbin/init.d/rc1.d/K35syslog
/sbin/init.d/rc1.d/S09syslog
/sbin/init.d/rc2.d/K35syslog
/sbin/init.d/rc2.d/S09syslog
/sbin/init.d/rc3.d/K35syslog
/sbin/init.d/rc3.d/S09syslog
%config /sbin/init.d/syslog
%doc /usr/man/man5/syslog.conf.5.gz
%doc /usr/man/man8/klogd.8.gz
%doc /usr/man/man8/sysklogd.8.gz
%doc /usr/man/man8/syslogd.8.gz
/usr/sbin/klogd
/usr/sbin/syslogd

